{% extends 'base.html' %}

{% block title %}
    {{ recipe_object.title }} - Scrumptious Recipes
{% endblock title %}

{% block content %}
<header>
    <nav>
        <a href="{% url 'recipe_list' %}">Main page</a>
        <a href="{% url 'edit_recipe' recipe_object.id %}">Edit recipe</a>
        <a href="{% url 'delete_recipe' recipe_object.id %}">Delete recipe</a>
    </nav>
</header>
<main class="main-detail">
    <h2>{{ recipe_object.title }}</h2>
    <!-- <h2>Vegetarian Taco</h2> -->
    <img src="{{ recipe_object.picture }}">
    <!-- <img src="https://mks.io/public-tacos"> -->
    <div>4.3 stars</div>
    <p>{{ recipe_object.description }}</p>
    <h3>Ingredients</h3>
    <table class="ingredients">
        <tr>
            <th>Amount</th>
            <th>Food item</th>
        </tr>
        <tr>
            <td>1 cup</td>
            <td>Green beans</td>
        </tr>
        <tr>
            <td>3 ears</td>
            <td>Fresh corn</td>
        </tr>
        <tr>
            <td>2 cups</td>
            <td>Tomatillo salsa</td>
        </tr>
        <tr>
            <td>8</td>
            <td>Corn tortillas</td>
        </tr>
        <tr>
            <td>0.5 cups</td>
            <td>Cotija cheese</td>
        </tr>
    </table>
    <h3>Steps</h3>
    <ol class="steps">
        {% for step in recipes.all %}
        <li>{{ step.instructions }}</li>
        {% endfor %}
    </ol>
    <!-- <ol class="steps">
        <li>Blanch the green beans</li>
        <li>Grill the green beans and the ears of corn</li>
        <li>Chop the green beans</li>
        <li>Slide the corn off the cob</li>
        <li>Grill the tortillas</li>
        <li>Assemble the tacos with veggies, salsa, and cheese</li>
    </ol> -->
</main>
{% endblock content %}
